## org.apache.xml.dtm
Interface DTMWSFilter

All Known Implementing Classes:
  DOMWSFilter, TransformerImpl

public interface DTMWSFilter

This interface is meant to be implemented by a client of the DTM, and allows stripping of whitespace nodes.

Field Summary
`static short` `INHERIT` Inherit whitespace stripping behavior of the parent node.
`static short` `NOTSTRIP` Do not strip whitespace child nodes of this element.
`static short` `STRIP` Strip whitespace child nodes of this element.

Method Summary
`short` `getShouldStripSpace(int elementHandle, DTM dtm)` Test whether whitespace-only text nodes are visible in the logical view of `DTM`.

Field Detail

### NOTSTRIP

    public static final short NOTSTRIP

  Do not strip whitespace child nodes of this element.

### STRIP

    public static final short STRIP

  Strip whitespace child nodes of this element.

### INHERIT

    public static final short INHERIT

  Inherit whitespace stripping behavior of the parent node.

Method Detail

### getShouldStripSpace

    public short getShouldStripSpace(int elementHandle,
                                     DTM dtm)

  Test whether whitespace-only text nodes are visible in the logical view of `DTM`. Normally, this function will be called by the implementation of `DTM`; it is not normally called directly from user code.
  Parameters:
    `elementHandle` - int Handle of the element.
  Returns:
    one of NOTSTRIP, STRIP, or INHERIT.

Copyright © 2006 Apache XML Project. All Rights Reserved.